DefaultGrailsUrlMappingsClass (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class DefaultGrailsUrlMappingsClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.DefaultGrailsUrlMappingsClass

All Implemented Interfaces:
  GrailsUrlMappingsClass

    public class DefaultGrailsUrlMappingsClass
    extends AbstractGrailsClass

Field Summary
`static java.lang.String` | `URL_MAPPINGS`

Fields inherited from class AbstractGrailsClass
grailsApplication

Constructor Summary
`DefaultGrailsUrlMappingsClass(java.lang.Class clazz)`

Method Summary
`java.util.List` | `getExcludePatterns()`
`groovy.lang.Closure` | `getMappingsClosure()`

Methods inherited from class AbstractGrailsClass
getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, setGrailsApplication, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### URL_MAPPINGS

    public static final java.lang.String URL_MAPPINGS

Constructor Detail

### DefaultGrailsUrlMappingsClass

    public DefaultGrailsUrlMappingsClass(java.lang.Class clazz)

Method Detail

### getExcludePatterns

    @java.lang.SuppressWarnings("rawtypes")
    public java.util.List getExcludePatterns()

### getMappingsClosure

    public groovy.lang.Closure getMappingsClosure()

Groovy Documentation